<!--

@license Apache-2.0

Copyright (c) 2024 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Module

> WebAssembly module wrapper.

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- Package usage documentation. -->

<section class="usage">

## Usage

```javascript
var Module = require( '@stdlib/wasm/module-wrapper' );
```

#### Module( binary, memory\[, imports] )

Returns a new WebAssembly module wrapper instance.

```javascript
// TO-DO: example
```

The function accepts the following arguments:

-   **binary**: WebAssembly binary code.
-   **memory**: WebAssembly [memory][@stdlib/wasm/memory] instance.
-   **imports**: WebAssembly module imports object.

* * *

<a name="prop-buffer"></a>

#### Module.prototype.buffer

**Read-only** property which returns a WebAssembly memory buffer as a `Uint8Array`.

```javascript
// TO-DO: example
```

* * *

### Methods

<a name="method-is-view"></a>

#### Module.prototype.isView( arr )

Returns a boolean indicating whether a provided list of values is a view of the underlying memory of the WebAssembly module.

```javascript
// TO-DO: example
```

</section>

<!-- /.usage -->

* * *

<!-- Package usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- Package usage examples. -->

<section class="examples">

## Examples

<!-- eslint no-undef: "error" -->

```javascript
var hasWebAssemblySupport = require( '@stdlib/assert/has-wasm-support' );
var Module = require( '@stdlib/wasm/module-wrapper' );

function main() {
    if ( !hasWebAssemblySupport() ) {
        console.error( 'Environment does not support WebAssembly.' );
        return;
    }
    console.log( typeof Module ); // TO-DO: write example
}

main();
```

</section>

<!-- /.examples -->

<!-- Section to include cited references. If references are included, add a horizontal rule *before* the section. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="references">

</section>

<!-- /.references -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[@stdlib/wasm/memory]: https://github.com/stdlib-js/wasm/tree/main/memory

</section>

<!-- /.links -->
